%global install_loc   %{_datadir}/eclipse/dropins/swtbot

Name:           eclipse-swtbot
Version:        2.1.0
Release:        0.2.20130226git%{?dist}
Summary:        UI and functional testing tool for SWT and Eclipse based applications

License:        EPL
URL:            http://www.eclipse.org/swtbot/
Source0:        http://git.eclipse.org/c/swtbot/org.eclipse.swtbot.git/snapshot/org.eclipse.swtbot-c97af931926a1992d39ec8f3ff0c9ba4ee6c3dd3.tar.bz2
BuildRequires:  tycho
BuildRequires:  eclipse-gef
BuildRequires:  eclipse-pde
BuildRequires:  jacoco-maven-plugin
BuildArch:      noarch

%description
SWTBot is a Java based UI/functional testing tool for testing SWT and Eclipse
based applications. SWTBot provides APIs that are simple to read and write.
The APIs also hide the complexities involved with SWT and Eclipse. This makes
it suitable for UI/functional testing by everyone, not just developers.

%prep
%setup -q -n org.eclipse.swtbot-c97af931926a1992d39ec8f3ff0c9ba4ee6c3dd3

for j in $(find -name \*.jar); do
if [ ! -L $j ] ; then
rm -fr $j
fi
done

sed -i -e "s|1.2.13.v200903072027|0.0.0|g" org.eclipse.swtbot/feature.xml


%build
mvn-rpmbuild clean install -Dmaven.test.skip=true -DskipTychoVersionCheck=true

%install
install -d -m 755 %{buildroot}%{install_loc}

cp -R org.eclipse.swtbot.updatesite/target/repository/plugins/ %{buildroot}%{install_loc}
cp -R org.eclipse.swtbot.updatesite/target/repository/features/ %{buildroot}%{install_loc}

pushd %{buildroot}%{install_loc}/plugins
    rm -fr org.apache.log4j*
    ln -s %{_javadir}/log4j.jar .
    rm -fr org.hamcrest*
    ln -s %{_javadir}/hamcrest/core.jar hamcrest-core.jar
    ln -s %{_javadir}/hamcrest/integration.jar hamcrest-integration.jar
    ln -s %{_javadir}/hamcrest/library.jar hamcrest-library.jar
    ln -s %{_javadir}/hamcrest/text.jar hamcrest-text.jar
popd

%files
%{install_loc}
%doc org.eclipse.swtbot/epl-v10.html 
%doc org.eclipse.swtbot/license.html

%changelog
* Tue Feb 26 2013 Alexander Kurtakov <akurtako@redhat.com> 2.1.0-0.2.20130226git
- New snapshot removing org.junit4 references.

* Tue Feb 26 2013 Alexander Kurtakov <akurtako@redhat.com> 2.1.0-0.1.20130225git
- Update to 2.1.0 prerelease - compatible with kepler platform.

* Wed Feb 20 2013 Alexander Kurtakov <akurtako@redhat.com> 2.0.5-4.20120802git
- Skip tycho version check.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-3.20120802git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 6 2012 Alexander Kurtakov <akurtako@redhat.com> 2.0.5-2.20120802git
- Fix review comments.

* Thu Aug 2 2012 Alexander Kurtakov <akurtako@redhat.com> 2.0.5-1.gita95f41b7ae6d7790dab36bca982d4b833fd2662d
- Initial package
